# -*- encoding: utf-8 -*-
$:.push File.expand_path('../lib', __FILE__)
require 'redis/activesupport/version'

Gem::Specification.new do |s|
  s.name        = 'fault_tolerant_redis-activesupport'
  s.version     = '4.0.6'
  s.authors     = ['Luca Guidi', 'Jan Renra Gloser', 'Roman Sklenar']
  s.email       = ['me@lucaguidi.com', 'jan.renra.gloser@gmail.com', 'roman@globalwebindex.net']
  s.homepage    = 'https://github.com/globalwebindex/redis-activesupport'
  s.summary     = %q{Fault tolerant redis store for ActiveSupport}
  s.description = %q{Fault tolerant redis store for ActiveSupport}
  s.license     = 'MIT'

  s.rubyforge_project = 'redis-activesupport'

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ['lib']

  s.add_runtime_dependency 'redis-store',   '~> 1.4'
  s.add_runtime_dependency 'activesupport', '~> 4.1'
  s.add_runtime_dependency 'maybe_client', '1.2'

  s.add_development_dependency 'rake',     '~> 10'
  s.add_development_dependency 'bundler',  '~> 1.3'
  s.add_development_dependency 'mocha'
  s.add_development_dependency 'minitest'
  s.add_development_dependency 'pry'
  s.add_development_dependency 'redis-store-testing'
end
